﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace ornek1
{
    public partial class Form2 : Form
    {
        MySqlDataAdapter da_form2; // global degiskeni ifade etmek icin this anahtar kelimesi kullanilabilir

        DataTable dt_form2;
        public Form2(MySqlDataAdapter da_form2)
        {
            InitializeComponent();
            this.da_form2 = da_form2;
            dt_form2 = new DataTable();
            da_form2.Fill(dt_form2);
            dataGridView1.DataSource = dt_form2;

            dataGridView1.AllowUserToAddRows = false;
            dataGridView1.AllowUserToDeleteRows = false;
            dataGridView1.Columns[0].Visible = false; // id kolonunu gosterme
            dataGridView1.Columns[1].HeaderText = "Harf";
            dataGridView1.Columns[2].HeaderText = "Sınır Değer";
            dataGridView1.Columns[1].ReadOnly = true; // harf isim kolonu sadece okunabilir
            dataGridView1.Columns[0].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
            dataGridView1.Columns[1].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            try
            {
                da_form2.Update(dt_form2);
                this.Close();
            }
            catch
            { }


        }
    }
}
